# - Try to find Fesslix (development)
# Once done this will define
#  FESSLIX_FOUND - System has Fesslix
#  FESSLIX_INCLUDE_DIRS - The Fesslix include directories
#  FESSLIX_LIBRARIES - The libraries needed to use Fesslix

find_package(PkgConfig)
pkg_check_modules(PC_FESSLIX QUIET liboctave)
#set(LIBXML2_DEFINITIONS ${PC_LIBXML_CFLAGS_OTHER})

find_path(FESSLIX_INCLUDE_DIR "flxobjects.h"
          HINTS ${PC_FESSLIX_INCLUDEDIR} ${PC_PC_FESSLIX_INCLUDE_DIRS}
          PATH_SUFFIXES "fesslix/" )

FIND_LIBRARY(FESSLIX_LIBRARY_OBJBASE flxobjbase 
  HINTS ${PC_FESSLIX_LIBDIR} ${PC_FESSLIX_LIBRARY_DIRS} 
)
# message(STATUS "WOOOL: ${FESSLIX_LIBRARY_OBJBASE}")

set(FESSLIX_LIBRARY ${FESSLIX_LIBRARY_OBJBASE} )
set(FESSLIX_LIBRARIES ${FESSLIX_LIBRARY} )
set(FESSLIX_INCLUDE_DIRS ${FESSLIX_INCLUDE_DIR} )

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set LIBXML2_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(Fesslix  DEFAULT_MSG
                                  FESSLIX_LIBRARY FESSLIX_INCLUDE_DIR)

mark_as_advanced(
  FESSLIX_INCLUDE_DIR 
  FESSLIX_LIBRARY 
  FESSLIX_LIBRARY_OBJBASE
)

